# Changelog  
  
| modName    | Adjustable Mod Panel (KAMP)                                      |
| ---------- | ---------------------------------------------------------------- |
| license    | BSD-2-Clause                                                     |
| author     | radistmorse and zer0Kerbal                                       |
| forum      | (https://forum.kerbalspaceprogram.com/index.php?/topic/207263-*) |
| github     | (https://github.com/zer0Kerbal/zer0Kerbal/AdjustableModPanel)    |
| curseforge | (https://www.curseforge.com/kerbal/ksp-mods/AdjustableModPanel)  |
| spacedock  | (https://spacedock.info/mod/2997)                                |
| ckan       | AdjustableModPanel                                               |

## Version 1.5.99.0-adoption -  `<Peekaboo>` edition

* 12 Mar 2022  
* Release for Kerbal Space Program [KSP 1.12.x]

* adopted by zer0Kerbal

### Localization

* Add
  * <Localization> folder
    * <en-us.cfg>
    * [readme.md] v2.0.1.1
    * [quickstart.md] v1.0.1.0

### Code

* Compile
  * .NET 4.7.2
  * C# 10.0
* Update
  * [AdjustableModPanel.csproj]
  * [AdjustableModPanel.sln]
  * [AssemblyInfo.cs]
* Add
  * [Version.tt] 2.0.2.2
  * [InstallChecker] v2.1.0.0
* Localization
  * [AdjustableModPanel.cs]
  * [InstallChecker.cs]
  * used as many Squad strings as possible
    * who knew KSP had three strings for Okay? (Ok, OK, Okay) - maybe it also has (ok)?
    * some strings grew longer - will see if any comments
  * updates #9 - Localization - Master
  * closes #10 - American English <us-en.cfg>
  * closes #27 - Code Localization

### Folder Structure

* Create
  * docs/
    * Code/
    * LegalMumboJumbo/
      * [LegalMumboJumbo] v1.0.4.1
      * [License.md]
      * [FORUM-01.png]
  * [404.md] v1.0.3.0
  * [Attribution.md] v1.0.5.0
  * [Localizations.md] v1.1.4.0
  * [ManualInstallation.md] v1.1.2.0
  * [readme.md] v1.6.6.2
* root/
* _releasenotes
  * [].gitattributes] v2.0.3.0
  * [].gitignore] v2.0.5.0
  * [.imgbotconfig] v2.0.0.0
  * [AdjustableModPanel.version] file
  * [changelog.md]
  * [_buildJSON] v1.3.3.6.4
  * [_buildRelease] v1.1.3.1
  * [_deploy] v1.1.3.4
  * [_gitClean] v1.0.2.0
  * [_pullIssues] v1.1.0.1
  * [_pullReleaseNotes] v1.1.0.1
  * json/[_release] v1.0.3.0
* github/
  * [_settings] v1.0.9.1
    * workflows/
      * [AVC-VersionFileValidator] v1.4.0
      * [createIndexesfromMarkdown] v1.0.2.1
      * [greetings] v1.1.0.2
  * img
    * [HeroLogo_1920x1920.png]
    * [HeroLogo_1920x1920-green.png]

### Status

* Issues
  * closes #2 - add screenshot branch
  * closes #3 - Minimal hint to prevent potential NRE
  * closes #4 - Adjustable Mod Panel 1.5.99.0-adoption `<Peekaboo>` - duplicate
  * closes #28 - [ImgBot] Optimize images - contributed by imgbot[bot]
  * closes #30 - [Bug 🐞]: AMP and TUFX incompatability/NRE
* Project
  * closes #5 - Adjustable Mod Panel 1.5.99.0-adoption `<Peekaboo>` edition
  * closes #6 - 1.5.99.0 Verify Legal Mumbo Jumbo
  * closes #7 - 1.5.99.0 Update Documentation
  * closes #8 - 1.5.99.0 Social Media

---

## Version 1.5.3

* KSP 1.8

---

## Version 1.5.2

* KSP 1.7
* Ignore buttons with no texture

---

## Version 1.5.1

* KSP 1.6
* Small fix

---

## Version 1.5

* Fixed to work with the latest ToolbarControl 0.1.6.6 (older versions won't work).
* Implemented "pin mod" functionality.
* There is no guarantee of the exact mods order, but all the pinned mods will be shown before all the others.
* Adjustable Mod Panel will always remain in the first place, though.

---

## Version 1.4

* KSP 1.4

---

## Version 1.3

* Added support for ToolbarControl.
* No other changes.
* If you do not use ToolbarControl, you can ignore this update.

---

## Version 1.2

* Mod icon is now also taken into account when trying to distinguish one mod from another.
* That should fix the issue with the "Science!" mod.

---

## Version 1.1

* Now the mod can disable itself.
* It can't be disabled in KSC, so you'll never lose access to the mod.

---